package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-05
 */
@ApiModel("老师APP首页数据统计")
public class TeacherHomeStatisticalVo {


    @ApiModelProperty("我的课程")
    private  Integer courseSchedule;

    @ApiModelProperty("课后作业")
    private  Integer courseHomework;

    @ApiModelProperty("课后评价")
    private  Integer courseScheduleReplied;

    @ApiModelProperty("我的乐谱")
    private  Integer musicSheet;

    @ApiModelProperty("我收到的评价")
    private  Integer studentReplied;

    @ApiModelProperty("我的收入")
    private BigDecimal decimal;

    @ApiModelProperty("琴房剩余时长")
    private Integer pianoTime;

    public Integer getPianoTime() {
        return pianoTime;
    }

    public void setPianoTime(Integer pianoTime) {
        this.pianoTime = pianoTime;
    }

    public Integer getCourseSchedule() {
        return courseSchedule;
    }

    public void setCourseSchedule(Integer courseSchedule) {
        this.courseSchedule = courseSchedule;
    }

    public Integer getCourseHomework() {
        return courseHomework;
    }

    public void setCourseHomework(Integer courseHomework) {
        this.courseHomework = courseHomework;
    }

    public Integer getCourseScheduleReplied() {
        return courseScheduleReplied;
    }

    public void setCourseScheduleReplied(Integer courseScheduleReplied) {
        this.courseScheduleReplied = courseScheduleReplied;
    }

    public Integer getMusicSheet() {
        return musicSheet;
    }

    public void setMusicSheet(Integer musicSheet) {
        this.musicSheet = musicSheet;
    }

    public Integer getStudentReplied() {
        return studentReplied;
    }

    public void setStudentReplied(Integer studentReplied) {
        this.studentReplied = studentReplied;
    }

    public BigDecimal getDecimal() {
        return decimal;
    }

    public void setDecimal(BigDecimal decimal) {
        this.decimal = decimal;
    }
}
